﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using Microsoft.SqlServer.Dts.Runtime;
using Microsoft.SqlServer.Dts.Runtime.Design;

namespace ToddMcDermid.SSIS
{
    #region CLASS: PauseTaskInterface
    public class PauseTaskInterface : IDtsTaskUI
    {
        #region Private Variables
        private TaskHost _taskHost;
        private Connections _connections;
        #endregion

        #region Constructor
        public PauseTaskInterface()
        { }
        #endregion

        #region IDtsTaskUI Interface
        public void Initialize(TaskHost taskHost, IServiceProvider serviceProvider)
        {
            this._taskHost = taskHost;
            IDtsConnectionService cs = serviceProvider.GetService(typeof(IDtsConnectionService)) as IDtsConnectionService;
            this._connections = cs.GetConnections();
        }

        public ContainerControl GetView()
        {
            return new frmPauseTaskEditor(this._taskHost, this._connections);
        }

        public void Delete(IWin32Window parentWindow)
        {
        }

        public void New(IWin32Window parentWindow)
        {
        }
        #endregion
    }
    #endregion
}
